<ng-container *transloco="let t; read: 'profile_forms'">
  <div class="edit-avatar-container mat-typography">
    <h2
      mat-dialog-title
      class="primary-title dialog-header-spacing">
      {{t('edit_profile_picture')}}
    </h2>
    <div class="avatar-content-container">
      <app-upload-picture
        [fallbackImage]="fallback"
        [imageUrl]="avatarUrl"
        (imageChanged)="onImageChanged($event)">
      </app-upload-picture>
    </div>
    <mat-divider></mat-divider>
    <div class="action-button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        mat-dialog-close>
        {{t('cancel')}}
      </button>
      <button
        mat-flat-button
        class="round-button"
        color="primary"
        (click)="saveImage()">
        {{t('save')}}
      </button>
    </div>
  </div>
</ng-container>
